%define major 2
%define libname %mklibname nss_myhostname %{major}

Summary:	glibc plugin for local system host name resolution
Name:		nss-myhostname
Version:	0.3
Release:	5
License:	LGPLv2.1+
Group:		System/Base
Url:		http://0pointer.de/lennart/projects/nss-myhostname/
Source0:	http://0pointer.de/lennart/projects/nss-myhostname/%{name}-%{version}.tar.gz
Requires:	%{name}-libraries
Requires:	/bin/sh
Requires(pre):	glibc
Requires(pre):	sed

%description
nss-myhostname is a plugin for the GNU Name Service Switch (NSS)
functionality of the GNU C Library (glibc) providing host name
resolution for the locally configured system hostname as returned by
gethostname(2). Various software relies on an always resolvable local
host name. When using dynamic hostnames this is usually achieved by
patching /etc/hosts at the same time as changing the host name. This
however is not ideal since it requires a writable /etc file system and
is fragile because the file might be edited by the administrator at
the same time. nss-myhostname simply returns all locally configure
public IP addresses, or -- if none are configured -- the IPv4 address
127.0.0.2 (wich is on the local loopback) and the IPv6 address ::1
(which is the local host) for whatever system hostname is configured
locally. Patching /etc/hosts is thus no longer necessary.

%files
%doc LICENSE README

%post
# sed-fu to add myhostname to the hosts line of /etc/nsswitch.conf
if [ -f /etc/nsswitch.conf ] ; then
        sed -i.bak -e '
                /^hosts:/ !b
                /\<myhostname\>/ b
                s/[[:blank:]]*$/ myhostname/
                ' /etc/nsswitch.conf
fi

%preun
# sed-fu to remove myhostname from the hosts line of /etc/nsswitch.conf
if [ "$1" -eq 0 -a -f /etc/nsswitch.conf ] ; then
        sed -i.bak -e '
                /^hosts:/ !b
                s/[[:blank:]]\+myhostname\>//
                ' /etc/nsswitch.conf
fi

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Plugin libraries for nss-myhostname
Group:		System/Libraries
Requires:	%{name} = %{EVRD}
Conflicts:	%{name} < 0.3-5
Provides:	%{name}-libraries = %{EVRD}

%description -n %{libname}
Plugin libraries for nss-myhostname.

%files -n %{libname}
/%{_lib}/libnss_myhostname.so.%{major}

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--libdir=/%{_lib}

%make

%install
%makeinstall_std
rm -rf %{buildroot}%{_datadir}/doc/nss-myhostname


%changelog
* Fri Feb 20 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.3-5
+ Revision: c5fe2e7
- Split libraries into own package to make it possible to install both 32 and 64 bit libraries


